<script language="javascript" src="Modules/pedidos/js_pedidos.js"></script>
<script type="text/javascript">

    $(document).ready(function() {
        document.title = 'Monitor Web - Pedidos';
    });

</script>

<style>
.dataTables_scrollHeadInner {
width: 3500px !important;
}
.table.dataTable{
width: 3500px !important;
}
</style>
<?php
   $uri ='Modules/pedidos/pedidos.php';
   include_once($uri);
   
   $clientes = new pedidos('');
   $clientes_array = $clientes->GetClientes();  

   $operadores_moviles = new pedidos('');
   $operadores_moviles_array = $operadores_moviles->GetOperadoresMoviles();  
   
   $dispositivos_moviles = new pedidos('');
   $dispositivos_moviles_array = $dispositivos_moviles->GetDispositivosMoviles(); 
   
   $sucursales = new pedidos('');
   $sucursales_array = $sucursales->GetSucursales(); 
   
   	$configuraciones_sucursales = new pedidos('');
	$trabaja_sucursales = $configuraciones_sucursales->GetConfiguraciones('TrabajaSucursales');

	$configuraciones_distritos = new pedidos('');
	$trabaja_distritos = $configuraciones_distritos->GetConfiguraciones('TrabajaDistritos');

	$configuraciones_zonas = new pedidos('');
	$trabaja_zonas = $configuraciones_zonas->GetConfiguraciones('TrabajaZonas');

	if($trabaja_zonas==1)
		$ultimoId=3;
	else if($trabaja_distritos==1)
		$ultimoId=2;
	else 
		$ultimoId=1;
		
   $sucursales_asociadas_por_operador = new pedidos('');
   $sucursales_asociadas_array = $sucursales_asociadas_por_operador->GetSucursalesAsociadasPorOperador($_SESSION['operador_sesion']['OperadorMonitorID']);	
   
		
   $pedidos_permisos = new pedidos();
   $permisos_array = $pedidos_permisos->GetPermisosByModulo('Pedidos',$_SESSION['operador_sesion']['OperadorMonitorID']);
  	

	
   if($permisos_array["Lectura"]==0){?>
    <div class="notfoundpanel">
    <h3>Acceso denegado!</h3>
    <h4>Usted no posee los permisos necesarios para acceder a esta pÃ¡gina</h4>
    </div><!-- notfoundpanel -->
   	<?php
   	}else{ 
   ?>

    <div class="pageheader">
      <h2><i class="glyphicon glyphicon-shopping-cart"></i> Pedidos</h2>
      <div class="breadcrumb-wrapper">
        <ol class="breadcrumb">
          <li><a href="index.php">Monitor Web</a></li>
          <li class="active">Pedidos</li>
        </ol>
      </div>
    </div>
    <div class="contentpanel">	
    <!-- Filtro -->	
	<?php include('Modules/pedidos/filter_pedidos.php') ?>
<!-- Filtro -->	
      <div  class="panel panel-default">
        <div class="panel-body">
           <div class="table-responsive">
            <table  class="table" id="pedidos">
              <thead>
                 <tr>
                 	<th>Pedido</th>
                    <th>Fecha</th>
                    <th>Num. Orden</th>
                    <?php if($trabaja_sucursales == 1) {?>
                    <th>Sucursal</th>
                    <?php } ?>
                    <?php if($trabaja_distritos == 1) {?>
                    <th>Distrito</th>
                    <?php } ?>
                    <?php if($trabaja_zonas == 1) {?>
                    <th>Zona</th>
                    <?php } ?>                
                    <th>Dispositivo MÃ³vil</th>
                    <th>Operador MÃ³vil</th>
                    <th>Codigo Cliente - RazÃ³n Social</th>
                    <th>Ver Mapa</th> 
                    <th>Hora Inicio</th>
                    <th>Hora Fin</th>
                    <th>DuraciÃ³n</th>
                    <th>Ruta</th>
                    <th>Fecha Entrega</th>
                    <th>Total</th>
                    <th title="Cantidad de Ã�tems">CI</th>
                    <th title="Unidades">UN</th>
                    <th title="Sub-Unidades">SU</th>
                    <th title="Unidades Cajas">UC</th>
                  </tr>
              </thead>
              <tbody>
              </tbody>
           </table>
          </div><!-- table-responsive -->
         
        </div><!-- panel-body -->
      </div>
     <input type="hidden" id="ultimo_id" value="<?php echo $ultimoId; ?>"/>   
    </div><!-- contentpanel -->

<div  data-backdrop="static" data-keyboard="false" data-backdrop="static" data-keyboard="false" class="modal fade" id="ver_mapa" role="dialog" aria-labelledby="confirmDeleteLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">PosiciÃ³n GPS del Pedido</h4>
      </div>
      <div class="modal-body">
			<div id="gmap-marker" style="height: 300px"></div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>    
<?php } ?>    